package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "性别")
public class Gender extends BaseNode  {


	@Relationship(type = "辅助检查名称禁忌性别", direction = Relationship.INCOMING)
	private Set<Pacs> pacss = new HashSet<>();

	@Relationship(type = "实验室检查套餐名禁忌性别", direction = Relationship.INCOMING)
	private Set<LisSet> lissets = new HashSet<>();

	@Relationship(type = "医保手术和操作名称禁忌性别", direction = Relationship.INCOMING)
	private Set<YiBaoOperationName> yibaooperationnames = new HashSet<>();

	@Relationship(type = "辅助检查名称子项目名称禁忌性别", direction = Relationship.INCOMING)
	private Set<PacsNameSubName> pacsnamesubnames = new HashSet<>();

	@Relationship(type = "联合项目禁忌性别", direction = Relationship.INCOMING)
	private Set<CombiOperation> combioperations = new HashSet<>();

	@Relationship(type = "实验室检查名称禁忌性别", direction = Relationship.INCOMING)
	private Set<LisName> lisnames = new HashSet<>();

}