package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "辅助检查子项目名称")
public class PacsSubName extends BaseNode  {


	@Relationship(type = "辅助检查子项目名称禁忌药物过敏原", direction = Relationship.OUTGOING)
	private Set<MedAllergen> medallergens = new HashSet<>();

	@Relationship(type = "辅助检查子项目名称禁忌禁忌人群", direction = Relationship.OUTGOING)
	private Set<Group> groups = new HashSet<>();

	@Relationship(type = "辅助检查子项目名称禁忌疾病", direction = Relationship.OUTGOING)
	private Set<Disease> diseases = new HashSet<>();

	@Relationship(type = "辅助检查名称包含辅助检查子项目名称", direction = Relationship.INCOMING)
	private Set<Pacs> pacss = new HashSet<>();

}