package com.diagbot.repository;

import com.diagbot.dto.CombiOpBillNeoDTO;
import com.diagbot.entity.node.*;
import com.diagbot.util.NeoUtil;

import java.util.*;

public class CombiOperationNode {

	public CombiOpBillNeoDTO CombiOptoCombiOpDTO(CombiOperation combiOp) {

		CombiOpBillNeoDTO combiOpBillNeoDTO = new CombiOpBillNeoDTO();
		NodeInfo nodeInfo;


		Gender gender = combiOp.getGender();
		if (null!=gender) {
			nodeInfo = new NodeInfo();
			nodeInfo.setName(gender.getName());
			nodeInfo.setTypeval("性别");
			combiOpBillNeoDTO.setGender(NeoUtil.updateNodeInfo(nodeInfo));
		}


		Set<Group> groups = combiOp.getGroups();
		for (Group group : groups) {
			nodeInfo = new NodeInfo();
			nodeInfo.setName(group.getName());

			combiOpBillNeoDTO.getGroup().add(NeoUtil.updateNodeInfo(nodeInfo));
		}


		Set<Lis> lislist = combiOp.getLiss();
		for (Lis lis : lislist) {
			nodeInfo = new NodeInfo();
			nodeInfo.setName(lis.getName());

			combiOpBillNeoDTO.getGroup().add(NeoUtil.updateNodeInfo(nodeInfo));
		}


		Set<PacsDescribe> pacsDescribes = combiOp.getPacsdescs();
		for (PacsDescribe pacsdesc : pacsDescribes) {
			nodeInfo = new NodeInfo();
			nodeInfo.setName(pacsdesc.getName());

			combiOpBillNeoDTO.getGroup().add(NeoUtil.updateNodeInfo(nodeInfo));
		}


		Set<Disease> diseases = combiOp.getDiseases();
		for (Disease dis : diseases) {
			nodeInfo = new NodeInfo();
			nodeInfo.setName(dis.getName());

			combiOpBillNeoDTO.getGroup().add(NeoUtil.updateNodeInfo(nodeInfo));
		}


		Set<MedAllergen> medAllergens = combiOp.getMedallergens();
		for (MedAllergen medallergen : medAllergens) {
			nodeInfo = new NodeInfo();
			nodeInfo.setName(medallergen.getName());

			combiOpBillNeoDTO.getGroup().add(NeoUtil.updateNodeInfo(nodeInfo));
		}



		return combiOpBillNeoDTO;
	}
}

